using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {

    public class SiteConfig {
        public SiteConfig() {
        }
        [DisplayName("ID"), Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid SiteConfigId { get; set; }
        [DisplayName("자동 실행계획")]
        public bool UseWorkAutoOrder { get; set; }
        [DisplayName("자동 작업대기")]
        public bool UseWorkAutoResult { get; set; }
        [DisplayName("구매신청승인")]
        public bool UseMaterialBuyAutoApproval { get; set; }
        [DisplayName("입고정보승인")]
        public bool UseMaterialStoredAutoApproval { get; set; }
        [DisplayName("자재정산승인")]
        public bool UseMaterialAdjustmentAutoApproval { get; set; }
        [DisplayName("월별 입출고현황")]
        public bool UseMaterialMonlthlyStock { get; set; }
        [DisplayName("자재구분코드")]
        public bool UseMaterialType { get; set; }
        [DisplayName("적정재고량")]
        public bool UseMaterialReasonableStockCount { get; set; }
        [DisplayName("과부족현황")]
        public bool UseMaterialShortStock { get; set; }
        [DisplayName("공기구 대여")]
        public bool UseEquipmentRent { get; set; }
        [DisplayName("공기구 사용현황")]
        public bool UseEquipmentCurrent { get; set; }
        [DisplayName("거래처코드")]
        public bool UsePartnerCode { get; set; }
        [DisplayName("용역업체관리")]
        public bool UseServicePartner { get; set; }
        [DisplayName("자재발주등록")]
        public bool UseMaterialPurchaseOrder { get; set; }
        [DisplayName("작업진행")]
        public bool UseWorkProcess { get; set; }

        [NotMapped]
        public string WebLoginLogo { get; set; }
        [NotMapped]
        public string WebLoginBackground { get; set; }
        [NotMapped]
        public string WebLoginFMSLogo { get; set; }
        [NotMapped]
        public string WebMainLogo { get; set; }
        [NotMapped]
        public string WebCopyrightLogo { get; set; }
        [NotMapped]
        public string AppLoginLogo { get; set; }
        [NotMapped]
        public string AppMainLogo { get; set; }


    }
}
